<?php

namespace Bixo\Organization\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class OrganizationTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('bixo_organization_organizations')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'bixo.organization.organization.view',
                'name'      => 'View Organization',
            ],
            [
                'slug'      => 'bixo.organization.organization.create',
                'name'      => 'Create Organization',
            ],
            [
                'slug'      => 'bixo.organization.organization.edit',
                'name'      => 'Update Organization',
            ],
            [
                'slug'      => 'bixo.organization.organization.delete',
                'name'      => 'Delete Organization',
            ],
            
                        [
                'slug'      => 'bixo.organization.organization.verify',
                'name'      => 'Verify Organization',
            ],
            [
                'slug'      => 'bixo.organization.organization.approve',
                'name'      => 'Approve Organization',
            ],
            [
                'slug'      => 'bixo.organization.organization.publish',
                'name'      => 'Publish Organization',
            ],
            [
                'slug'      => 'bixo.organization.organization.unpublish',
                'name'      => 'Unpublish Organization',
            ],
            [
                'slug'      => 'bixo.organization.organization.cancel',
                'name'      => 'Cancel Organization',
            ],
            [
                'slug'      => 'bixo.organization.organization.archive',
                'name'      => 'Archive Organization',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/organization/organization',
                'name'        => 'Organization',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/organization/organization',
                'name'        => 'Organization',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'organization',
                'name'        => 'Organization',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Organization',
                'module'    => 'Organization',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'bixo.organization.organization.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
