<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for organization in organization package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  organization module in organization package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Organization',
    'names' => 'Organizations',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Organizations',
        'sub' => 'Organizations'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'type' => 
            [
                                
                [
                    'key'    => 'branch',
                    'value'  => 'branch',
                    'text'   => 'branch',
                ],
                                
                [
                    'key'    => 'department',
                    'value'  => 'department',
                    'text'   => 'department',
                ],
                                
                [
                    'key'    => 'division',
                    'value'  => 'division',
                    'text'   => 'division',
                ],
                                
                [
                    'key'    => 'company',
                    'value'  => 'company',
                    'text'   => 'company',
                ],
                                
            ],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'parent_id'                  => 'Please enter parent id',
        'manager_id'                 => 'Please enter manager id',
        'company_id'                 => 'Please enter company id',
        'branch_id'                  => 'Please enter branch id',
        'department_id'              => 'Please enter department id',
        'ref'                        => 'Please enter ref',
        'name'                       => 'Please enter name',
        'type'                       => 'Please select type',
        'description'                => 'Please enter description',
        'employee_count'             => 'Please enter employee count',
        'currency'                   => 'Please enter currency',
        'industry'                   => 'Please enter industry',
        'phone'                      => 'Please enter phone',
        'email'                      => 'Please enter email',
        'address'                    => 'Please enter address',
        'country'                    => 'Please enter country',
        'zip'                        => 'Please enter zip',
        'work_hours'                 => 'Please enter work hours',
        'website_url'                => 'Please enter website url',
        'user_type'                  => 'Please enter user type',
        'user_id'                    => 'Please enter user id',
        'brn'                        => 'Please enter brn',
        'ded'                        => 'Please enter ded',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'parent_id'                  => 'Parent id',
        'manager_id'                 => 'Manager id',
        'company_id'                 => 'Company id',
        'branch_id'                  => 'Branch id',
        'department_id'              => 'Department id',
        'ref'                        => 'Ref',
        'name'                       => 'Name',
        'type'                       => 'Type',
        'description'                => 'Description',
        'employee_count'             => 'Employee count',
        'currency'                   => 'Currency',
        'industry'                   => 'Industry',
        'phone'                      => 'Phone',
        'email'                      => 'Email',
        'address'                    => 'Address',
        'country'                    => 'Country',
        'zip'                        => 'Zip',
        'work_hours'                 => 'Work hours',
        'website_url'                => 'Website url',
        'user_type'                  => 'User type',
        'user_id'                    => 'User id',
        'brn'                        => 'Brn',
        'ded'                        => 'Ded',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
