<?php

// Routes for organization.

// Guard routes for organization
Route::prefix('{guard}/organization')->group(function () {

    Route::get('organization/report/{report}', 'OrganizationReportController');
    Route::patch('organization/actions/{action}', 'OrganizationActionsController');
    Route::patch('organization/action/{organization}/{action}', 'OrganizationActionController');
    Route::patch('organization/workflow/{organization}/{transition}', 'OrganizationWorkflowController');
    Route::resource('organization', 'OrganizationResourceController');
});

// Guard routes for user
Route::prefix('{guard}/organization')->group(function () {

    Route::get('user/report/{report}', 'UserReportController');
    Route::patch('user/actions/{action}', 'UserActionsController');
    Route::patch('user/action/{user}/{action}', 'UserActionController');
    Route::patch('user/workflow/{user}/{transition}', 'UserWorkflowController');
    Route::resource('user', 'UserResourceController');
});



// Public routes for organization
Route::get('organizations/', 'OrganizationPublicController@index');
Route::get('organization/{slug?}', 'OrganizationPublicController@show');
