<?php


namespace Bixo\Organization\Policies;

use Litepie\User\Interfaces\UserPolicyInterface;

trait OrganizationReport
{

    /**
     * Determine if the given user can approve the given organization.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function povote(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('organization.organization.report.povote')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given organization.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function report(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('organization.organization.report')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given organization.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function download(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('organization.organization.report.download')) {
            return true;
        }

        return false;
    }
}
