<?php

namespace Bixo\Organization\Policies;

use Bixo\Organization\Models\User;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait UserAction
{

    /**
     * Determine if the given user can copy the given user.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, User $user)
    {

        if ($authUser->canDo('organization.user.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given user.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, User $user) {

        if ($authUser->canDo('organization.user.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given user.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, User $user)
    {

        if ($authUser->canDo('organization.user.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
